<?php
    include "../../inc/inc.koneksi.php";
    session_start();

    date_default_timezone_set('Asia/Jakarta');
    
    $kode	=$_POST['kode'];
    $tanggal=$_POST['tanggal'];
    $petugas=$_POST['petugas'];
    $user	=$_SESSION['namauser'];
    $lokasi =$_SESSION['lokasi'];
    $jam	=date('H:i:s');

	$sql = mysql_query("SELECT * FROM jurmbr WHERE kode_mb='$kode' AND posting='' ORDER BY no_urut");
	
	while($r=mysql_fetch_array($sql)){
		$nourut  	=$r['no_urut'];
		$nourut1 	=$nourut+200;
		$kodest  	=$r['kode_st'];
		$jmlunit 	=$r['jml_unit'];
		$satuan  	=$r['satuan'];
		$hgbeli  	=$r['hg_beli'];
		$expired 	=$r['expired'];
		$gdtujuan	=$r['gd_tujuan'];
		
		mysql_query("UPDATE stock SET jml_stokb=jml_stokb-$jmlunit WHERE kode_st='$kodest' AND kode_cab='01'");
		mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,masuk,keluar,harga,user,jam,batal) 
		VALUES('$kode','MBR','$tanggal','$kode','$nourut','$kodest','Gudang','Mutasi ke gudang $gdtujuan','0','$jmlunit','$hgbeli','$user','$jam','')");

		mysql_query("UPDATE stock SET jml_stok=jml_stok+$jmlunit,expired='$expired' WHERE kode_st='$kodest' AND kode_cab='$gdtujuan'");
	
	    mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,masuk,keluar,harga,user,jam,batal) 
	    VALUES('$kode','MBR','$tanggal','$kode','$nourut1','$kodest','$gdtujuan','Mutasi dari gudang pusat','$jmlunit','0','$hgbeli','$user','$jam','')");
	}
	
	mysql_query("UPDATE jurmbr SET petugas='$petugas',posting='P' WHERE kode_mb='$kode'");
	echo "Data pemindahan barang $kode sukses disimpan.";
?>